Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/netbsd-1-4]: src/dist/bind Pull up revisions 1.1-1.9 (new) (requested by...



details:   https://anonhg.NetBSD.org/src/rev/22ed7199e044
branches:  netbsd-1-4
changeset: 469775:22ed7199e044
user:      he <he%NetBSD.org@localhost>
date:      Sat Dec 04 16:51:43 1999 +0000

description:
Pull up revisions 1.1-1.9 (new) (requested by christos and veego):
  Update to BIND 8.2.2-P5.

diffstat:

 dist/bind/bind2netbsd |  160 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 160 insertions(+), 0 deletions(-)

diffs (164 lines):

diff -r ddfc0049b9e1 -r 22ed7199e044 dist/bind/bind2netbsd
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/dist/bind/bind2netbsd     Sat Dec 04 16:51:43 1999 +0000
@@ -0,0 +1,160 @@
+#! /bin/sh
+#
+#      $NetBSD: bind2netbsd,v 1.9.2.2 1999/12/04 16:51:43 he Exp $
+#
+# Copyright (c) 1998, 1999 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#      This product includes software developed by the NetBSD
+#      Foundation, Inc. and its contributors.
+# 4. Neither the name of The NetBSD Foundation nor the names of its
+#    contributors may be used to endorse or promote products derived
+#    from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# bind2netbsd:  convert a bind source tree into a
+# netbsd bind source tree, under basesrc/dist,
+
+# Note: you need to extract the src and doc tar files and put it into
+#      one directory. This directory is the 'src' argument of bind2netbsd.
+
+if [ $# -ne 2 ]; then echo "bind2netbsd src dest"; exit 1; fi
+
+r=$1
+d=$2/basesrc/dist/bind
+
+case "$d" in
+       /*)
+               ;;
+       *)
+               d=`/bin/pwd`/$d
+               ;;
+esac
+
+case "$r" in
+       /*)
+               ;;
+       *)
+               r=`/bin/pwd`/$r
+               ;;
+esac
+
+echo preparing directory $d
+rm -rf $d
+mkdir -p $d/man
+
+### Copy the files and directories
+cd $r/src
+pax -rvw LICENSE README bin include lib $d
+cd $r/src/port/netbsd/include
+pax -rvw port_after.h port_before.h prand_conf.h $d/include
+cd $r/src/port/netbsd/bin
+pax -rvw probe_ipv6 $d/bin
+cd $r/doc/man
+pax -rvw dig.1 dnskeygen.1 dnsquery.1 host.1 named-bootconf.8 named-xfer.8 named.8 named.conf.5 ndc.8 nslookup.8 nsupdate.8 $d/man
+
+### Remove lib/bsd, lib/cylink and lib/dnssafe
+cd $d/lib
+rm -r bsd cylink dnssafe
+
+### Remove .cvsignore, Makefiles and *.mdoc files
+find $d -name '.cvsignore' -exec rm {} \;
+find $d -name 'Makefile' -exec rm {} \;
+cd $d/lib/isc && rm *.mdoc
+
+### Remove the $'s around the Id:
+find $d -type f -print | while read f; do
+       sed -e ' s/\$\(Id.*\) \$/\1/' < $f > /tmp/bind1f$$ && mv /tmp/bind1f$$ $f && \
+       echo removed \$Id tag from $f
+done
+
+### Add our NetBSD RCS Id
+find $d -name '*.[chly]' -print | while read c; do
+       sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/*       \$NetBSD\$      */" >/tmp/bind3n$$
+echo "" >>/tmp/bind3n$$
+cat $c  >> /tmp/bind3n$$
+mv /tmp/bind3n$$ $c && echo added RCS tag to $c
+       )
+done
+
+find $d/man -name '*.[0-9]' -print | while read m; do
+       sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\"     \$NetBSD\$" >/tmp/bind2m$$
+echo ".\\\"" >>/tmp/bind2m$$
+       cat $m >> /tmp/bind2m$$
+       mv /tmp/bind2m$$ $m && echo added RCS tag to $m
+
+       sed -e "s/@INDOT@//g" -e "s/@INDOT_U@//g" \
+               -e "s/@XFER_INDOT@//g" -e "s/@XFER_INDOT_U@//g" \
+               -e "s/@CMD_EXT@/1/g" -e "s/@CMD_EXT_U@/1/g" \
+               -e "s/@LIB_NETWORK_EXT@/3/g" -e "s/@LIB_NETWORK_EXT_U@/3/g" \
+               -e "s/@FORMAT_EXT@/5/g" -e "s/@FORMAT_EXT_U@/5/g" \
+               -e "s/@DESC_EXT@/7/g" -e "s/@DESC_EXT_U@/7/g" \
+               -e "s/@SYS_OPS_EXT@/8/g" -e "s/@SYS_OPS_EXT_U@/8/g" \
+               -e "s/@SYSCALL_EXT@/2/g" -e "s/@SYSCALL_EXT_U@/2/g" \
+               -e "s/@BSD_SYSCALL_EXT@/2/g" -e "s/@BSD_SYSCALL_EXT_U@/2/g" \
+               -e "s/@LIB_C_EXT@/3/g" -e "s/@LIB_C_EXT_U@/3/g" < $m > /tmp/bind3m$$ && \
+       mv /tmp/bind3m$$ $m && echo fixup $m
+       )
+done
+
+# XXX Not all files contains now the NetBSD RCS Id.
+# Make sure you add the RCS Id before you do the import.
+# This is the list of missing files as of 8.2.2-P5:
+# LICENSE
+# README
+# bin/probe_ipv6
+# bin/irpd/irs-irpd.conf
+# bin/named/named.conf
+# bin/named/test/127.0.0.zone
+# bin/named/test/localhost.zone
+# bin/named/test/named.conf
+# bin/named/test/root.hint
+# bin/named-bootconf/Grot/named-bootconf.pl
+# bin/nslookup/nslookup.help
+# lib/dst/README
+# lib/irs/Makefile.BSD
+# lib/irs/README
+
+echo done
+
+### Clean up any CVS directories that might be around.
+echo "cleaning up CVS residue."
+(
+       cd $d
+       find . -type d -name "CVS" -print | xargs rm -r
+)
+echo done
+
+### Fixing file and directory permissions.
+echo "Fixing file/directory permissions."
+(
+       cd $d
+       find . -type f -print | xargs chmod u+rw,go+r
+       find . -type d -print | xargs chmod u+rwx,go+rx
+)
+echo done
+
+exit 0



Home | Main Index | Thread Index | Old Index